今天启动tomcat时,老是提示 java.lang.LinkageError: JAXB 2.0 API is being
loaded from the

jdk-8u151-windows-x64.exe安装程序存在一个很严重的bug。当你的机器上已经安装了jdk8u151时,如果你再次运行这个jdk-8u151-windows-x64.exe安装程序,就算你在安装程序运行起来后并没有继续安装下去,而是取消了安装,这个安装程序依然会将你本地之前安装的jdk-8u151安装目录删除掉。

bootstrap classloader, but this RI(xxx) needs 2.1 API  的错误,

这个安装程序存在逻辑错误。

  查了不少资料,不好用,都懂得…

我不清楚其他版本的安装程序是否也存在类似问题。

 最终换了版本高的jdk ,问题解决:

具体问题具体分析   

永利开户送38元体验金,开始使用的是jdk-6u2-Windows-x64.exe,后来改成了jdk-6u43-windows-x64.exe
,问题解决。

原来第一个jdk 的是6u2 ,才更新了2次,版本中也有个2,就是这个jdk
有点2,才导致LZ郁闷了良久

改成了高版本的 jdk-6u43-windows-x64.exe 搞定!


相关文章